%define _phplib %{_libdir}/php56
%define _extdir %{_phplib}/extensions
%define modname korean
%define modfullname mod_%{modname}

Summary: php 5.6 extension that support high level api
Name: php56-%{modname}
Version: 0.1.5
Release: 2%{?dist}
Epoch: 1
Group: Development/Languages
License: PHP
Source0: %{modfullname}-%{version}.tar.bz2
Patch0: mod_korean-gif-read.patch

BuildRoot: /var/tmp/%{name}-root
Requires: php56api libjpeg libpng zlib
BuildRequires: php56-devel libjpeg-devel libpng-devel zlib-devel

%description
This extension support various high level php api that support
charset convert, image resize, standalone socket mail and so on.

%prep
%setup -q -n %{modfullname}-%{version}
%patch0 -p1

%build

/usr/bin/phpize56

CFLAGS="${RPM_OPT_FLAGS}"
%ifarch x86_64
./configure --with-libdir=lib64
%else
./configure
%endif

%{__make} %{?_smp_mflags}

%install
[ "%{buildroot}" != "/" -a -d "%{buildroot}" ] && %{__rm} -rf %{buildroot}

%{__mkdir_p} %{buildroot}%{_extdir}

%{__install} -m755 modules/%{modname}.so %{buildroot}%{_extdir}/%{modname}.so

%{__mkdir_p} %{buildroot}%{_sysconfdir}/php56.d/{fpm,cli}
for i in fpm cli
do
	%{__cat} > %{buildroot}%{_sysconfdir}/php56.d/$i/%{modname}.ini <<EOF
extension = %{modname}.so
EOF
done

%clean
[ "%{buildroot}" != "/" -a -d "%{buildroot}" ] && %{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
%attr(755,root,root) %{_extdir}/%{modname}.so
%config(noreplace) %{_sysconfdir}/php56.d/fpm/%{modname}.ini
%config(noreplace) %{_sysconfdir}/php56.d/cli/%{modname}.ini

%changelog
* Fri Jan 15 2016 JoungKyun.Kim <http://oops.org> 1:0.1.5-2%{?dist}
- rebuilt on AN3

* Mon Jan 26 2015 JoungKyun.Kim <http://oops.org> 1:0.1.5-2%{?dist}
- fixed gif read on imgresize_lib function

* Mon Nov 12 2012 JoungKyun.Kim <http://oops.org> 1:0.1.5-1%{?dist}
- update 0.1.5
- fixed overflow2 gd link problems

* Tue Feb 28 2012 JoungKyun.Kim <http://oops.org> 1:0.1.4-1%{?dist}
- first packaged

